Skip to main content

Preparing your system for Compose for Data Warehouses

ON THIS PAGE

Preparing your system for Compose for Data Warehouses

Compose for Data Warehouses should be installed on a Windows Server machine that is able to access the data warehouse and optionally the source database(s) defined in your Compose for Data Warehouses project. Note that Compose for Data Warehouses only needs to access the source database if you plan to discover the source database when generating your model. For more information on discovery, see Discovering the Source Database or Landing Area.

For information on the supported databases and versions, see Supported platforms, databases and Qlik Replicate versions.

Before installing Compose for Data Warehouses, make sure that the following prerequisites have been met:

Hardware prerequisites

The following table lists the required hardware for varied deployment scales:

Hardware component requirements
Component Basic System Large System Extra-Large System

Processor

Note:

Additional cores may improve performance when several ETL processes are running concurrently.

Quad core

Quad core base

8-core base

Memory

Note:

Additional memory may improve performance when several ETL processes are running concurrently.

8 GB

16 GB

32 GB

Disk requirements

Note:

For all configurations, RAID is recommended for higher system availability in case of disk failure.

100 GB

SSD

500 GB

10,000 RPM

RAID

500 GB

15,000 RPM

RAID

Network

1 Gb

10 Gb

Two 10 Gb

Software and network prerequisites

  • Ports: The following firewall ports should be open on the Compose for Data Warehouses machine:

    80/443

  • Microsoft Visual Studio C++ 2010 X64 Redistributable installed on the Compose for Data Warehouses machine.
  • .NET Framework 4.8 or above installed on the Compose for Data Warehouses machine.
  • TLS v1.2 needs to be fully installed and configured prior to installing Replicate on a Windows 2016 Server.

    Supported Browsers: The following browsers can be used to access the Compose for Data Warehouses Console (located on the Compose for Data Warehouses machine):

  • Internet Explorer: 11 and above
  • Mozilla Firefox*: Latest version
  • Google Chrome*: Latest version
  • TLS v1.2 needs to be fully installed and configured prior to installing Compose for Data Warehouses on a Windows 2016 Server.

*Firefox and Chrome automatically update themselves to the latest version.